petsc-3.4.2 2013-07-02

# DMADDASetRefinement

Sets the refinement factors of the distributed arrays.

### Synopsis

    #include "petscdmadda.h"
    PetscErrorCode  DMADDASetRefinement(DM dm, PetscInt *refine, PetscInt dofrefine)

Collective on ADDA

### Input Parameter

| adda | - the ADDA object
| refine | - array of refinement factors
| dofrefine | - the refinement factor for the dof, usually just 1

### Keywords

distributed array, refinement

Level:developer
Location:src/dm/impls/adda/adda.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex40.c.html